All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.calculateditems
Class InformationMapToCalculatedItemListAdapter

    com.sas.dataselectors.calculateditems.InformationMapToCalculatedItemListAdapter

All Implemented Interfaces:
  CalculatedItemListInterface, CalculatedItemListV2Interface, CalculatedItemMetadataInterface

    public class InformationMapToCalculatedItemListAdapter

Description: Copyright: Copyright (c) 2002 Company: SAS

Nested Class Summary

Nested classes/interfaces inherited from class com.sas.dataselectors.calculateditems.BaseCalculatedItemListAdapter
`BaseCalculatedItemListAdapter.InnerListOfCalculatedItems`

Field Summary

Fields inherited from class com.sas.dataselectors.calculateditems.BaseCalculatedItemListAdapter
`_calculatedItemList, _description, _name, _objectFactory, _selectionIndex, RB_KEY`

Constructor Summary
`InformationMapToCalculatedItemListAdapter(com.sas.iquery.metadata.business.InformationMap informationMap)` Constructs an adapter with the specified DataSelection.
`InformationMapToCalculatedItemListAdapter(com.sas.iquery.metadata.business.InformationMap informationMap, CalculatedObjectFactoryInterface factory)`

Method Summary

Methods inherited from class com.sas.dataselectors.calculateditems.BaseCalculatedItemListAdapter
`addCalculatedItem, canRemoveAllCalculatedItems, clearSelectionCursor, commitChanges, getBusinessDataSourceTree, getCalculatedItemList, getDataSourceTree, getDescription, getFormatAdapter, getFunctionListTree, getLevelHasMembers, getLevelNameMap, getLevelNames, getLocale, getMaxLengthOfItemName, getMaxOutputObservations, getMeasureNameMap, getMeasureNames, getMemberNames, getName, getOperationList, getPhysicalDataSourceTree, getPromptDataSourceTree, getSelectedCalculatedItem, getSelectionCount, getSelectionCursor, getTimeHierarchy, isCalculatedItemSelected, isTimeDimensionPresent, newCalculatedItem, newCalculatedItem, removeAllCalculatedItems, removeSelectedCalculatedItem, setDescription, setLocale, setMaxOutputObservations, setName, setSelectionCursor, updateSelectedCalculatedItem`

Constructor Detail

### InformationMapToCalculatedItemListAdapter

    public InformationMapToCalculatedItemListAdapter(com.sas.iquery.metadata.business.InformationMap informationMap)

  Constructs an adapter with the specified DataSelection.

  Parameters:
    `InformationMap` - is a Information Map to which the calculated item is to be associated.

### InformationMapToCalculatedItemListAdapter

    public InformationMapToCalculatedItemListAdapter(com.sas.iquery.metadata.business.InformationMap informationMap,
                                                     CalculatedObjectFactoryInterface factory)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.